<?php
//require_once("class/class.conectar.php");
require_once("class/class.area.php");
require_once("class/class.horario.php");
require_once("class/class.garea.php");

?>
<html>
<head>
<script type="text/javascript">
//Actualizar una vez al cargar página
//script por tunait!
//ver condiciones de uso en http://javascript.tunait.com/
window.onunload = sale;
var valor;
if(document.cookie){
	galleta = unescape(document.cookie)
	galleta = galleta.split(';')
	for(m=0; m<galleta.length; m++){
		if(galleta[m].split('=')[0] == "recarga"){
			valor = galleta[m].split('=')[1]
			break;
		}
	}
	if(valor == "sip"){
		document.cookie = "recarga=nop"; 
		window.onunload = function(){};
		document.location.reload()
	}
	else{
	window.onunload=sale
	}
}
function sale(){
	document.cookie ="recarga=sip"
}
</script>

<title>SISTEMA INTEGRADO DE LA PROGRAMACION ASISTENCIAL</title>
<link rel="stylesheet" type="text/css" href="styles/Style.css">
<script language="JavaScript" type="text/javascript" src="ajax.js"></script>
</head>
<body>
<?php
if(isset($_GET['a'])){
$idj= $_GET['idj'];
$ids= $_GET['ids'];
$idso= $_GET['ids'];
$idga=$_GET['idga'];
$idtp=$_GET['idtp'];
$anno=$_GET['anno'];
$mm=$_GET['mes'];
$ugid=$_GET['ugid'];
}


$mes = mktime( 0, 0, 0, $mm, 1, $anno ); 
$numeroDeDias = intval(date("t",$mes)); 

echo "<input type='hidden' id='depa' value='".$idj."'>";
echo "<input type='hidden' id='serv' value='".$ids."'>";
echo "<input type='hidden' id='ugid' value='".$ugid."'>";


$Obja = new Area();
$res_aserv = array(); 
$res_aserv = $Obja->listar_area_dep_serv($conex,$idj,$ids,$idtp,$idga);


if (count($res_aserv)>0){
$cbarea= "<center>Seleccione Area: <select name='area' id='area".$idga."' onChange='mostrarhorario(".$idga.");' ></center>";
for($ia=0;$ia<sizeof($res_aserv);$ia++){
$cbarea= $cbarea."<option value='".$res_aserv[$ia]['ida']."'>".$res_aserv[$ia]['nom']."</option>";
}
$cbarea= $cbarea."</select>";
}

//combobox /busca primer horario de area
$primerarea =$res_aserv[0]['ida'];
$Objh = new Horario();
$res_h = array();
$res_h =$Objh->lis_horario_dep($conex,$idj,$ids,$idga,$primerarea,1);

if (count($res_h)>0){
$horario = "Seleccione Horario: <select name='hora' id='hora".$idga.$primerarea."'>";
for($ih=0;$ih<sizeof($res_h);$ih++){
$horario = $horario."<option value='".$res_h[$ih]['idh']."'>".$res_h[$ih]['hora']."</option>";
}
$horario=$horario."</select>";
}

// busca el nombre del area
$Objga = new GrupoArea();
$res_gaserv = array(); 
$res_gaserv = $Objga->buscar_garea_dep_serv($conex,$idj,$ids,$idtp,$idga);

if (count($res_gaserv)>0){
$garea = $res_gaserv[0]['nom'];
}
echo "<center><table><tr><td align='center'><font color='red'><b>".$garea."</b></font></td><td><input type='button' id='but".$idga."' value='Ocultar' onCLick='mostrardiv(".$idga.");'></td></tr></table>";

echo "<div id='gadet".$idga."' style='display: ;'>";
$idga = $idga;
$anno = $anno;
$mm = $mm;
$per = $idtp;
$ids = $ids;
$idj = $idj;
$conex=$conex;
include("rcargagareasub.php");

echo "</div>";

echo "<table><tr><td><center>".$cbarea."</center></td><td><div id='horario".$idga."'>".$horario."</div></td><td><input type='button' value='Crear' onClick='crearturnosub(".$idga.",2)'";
// if($save==1){ echo "disabled";} 
echo "></td><td>"; if(isset($_GET['error'])and $_GET['idga']==$idga){ echo "TURNO ESTA CREADO";} echo "</td></tr></table>";
echo "</div></center>";

?>
</body>
</html>